POSTGet NFT Transfers By Account

Data APIhttps://web3.nodit.io/v1/ethereum/mainnet/nft/getNftTransfersByAccount

Retrieves the list of NFT transfers sent or received by a specific address. Results include contract metadata and NFT metadata.

Path Parameters
chainstring (enum)required

Parameter to specify the target chain for the query.

networkstring (enum)required

Parameter to specify the network of the target chain. Supported networks may vary depending on the chain.

Request Body
accountAddressstringrequired

Parameter specifying the account address to query. Can be entered as a 40-character hexadecimal string starting with 0x.

relationstring (enum)

Parameter for filtering transactions where the queried account address is the sender or recipient.

  • from: Filter by sender only.
  • to: Filter by recipient only.
  • both (default): Returns all transactions where the queried address appears in from or to.
contractAddressesstring[]

Parameter specifying an array of contract addresses to query. Contract addresses can be entered as 40-character hexadecimal strings starting with 0x.

fromBlockstring

Parameter specifying the starting block for the query. You can enter one of the following formats:

  • block number: Enter block number as a decimal string.
  • block hash: 64-character hexadecimal (including "0x").
  • block tag: Use "earliest" or "latest" to specify the first block or the most recent block.

Notes:

  • This field cannot be used together with fromDate and toDate.
  • If provided without fromBlock, results are queried from genesis block to this block.
  • toBlock value cannot be less than fromBlock value.
  • If fromBlock and toBlock have the same value, only that block is queried.
  • "earliest" for toBlock is only allowed when fromBlock is "earliest".
  • If fromBlock and toBlock are not provided, the API queries data from the latest 30 days.
toBlockstring

Parameter specifying the ending block for the query. You can enter one of the following formats:

  • block number: Enter block number as a decimal string.
  • block hash: 64-character hexadecimal (including "0x").
  • block tag: Use "earliest" or "latest" to specify the first block or the most recent block.

Notes:

  • This field cannot be used together with fromDate and toDate.
  • If provided without fromBlock, results are queried from genesis block to this block.
  • toBlock value cannot be less than fromBlock value.
  • If fromBlock and toBlock have the same value, only that block is queried.
  • "earliest" for toBlock is only allowed when fromBlock is "earliest".
  • If fromBlock and toBlock are not provided, the API queries data from the latest 30 days.
fromDatestring

Parameter specifying the start date for the query. Date must follow ISO 8601 format (YYYY-MM-DDThh:mm:ss{time zone}) including seconds.

Notes:

  • If provided without toDate, results are queried from this date to the latest block.
  • fromDate value must be equal to or earlier than toDate value.
  • If fromDate and toDate have the same value, only blocks from that date are queried.
  • This field cannot be used together with fromBlock and toBlock.
  • If fromDate and toDate are not provided, the API queries data from the latest 30 days.
toDatestring

Parameter specifying the end date for the query. Date must follow ISO 8601 format (YYYY-MM-DDThh:mm:ss{time zone}) including seconds.

Notes:

  • If provided without fromDate, results are queried from genesis block to this date.
  • toDate value must be equal to or later than fromDate value.
  • If fromDate and toDate have the same value, only blocks from that date are queried.
  • This field cannot be used together with fromBlock and toBlock.
  • If fromDate and toDate are not provided, the API queries data from the latest 30 days.
pageinteger

The page parameter specifies the data page to query. It accepts values up to 100; for pages exceeding 100, use the cursor pagination method.

The page and cursor parameters cannot be used together. If both page and cursor are empty, cursor pagination is used.

rppinteger

rpp stands for results per page and specifies the page size. You can specify a number greater than 0 and up to 100.

cursorstring

The cursor parameter supports pagination and data navigation between pages. Provide the cursor value from the previous page in the next request to load the next page of data.

The page and cursor parameters cannot be used together. If both page and cursor are empty, cursor pagination is used.

withCountboolean

Parameter specifying whether to include the count field in the response. The count field indicates the total number of requested data items. When set to true, the count field is included and response speed may be slower.

withMetadataboolean

Parameter specifying whether to include NFT token metadata fields (rawMetadata, metadataSyncedAt) in the response. Response speed may be slower when set to true.

withZeroValueboolean

Parameter specifying whether to include results with value 0 in the response. Set to true for faster responses.

withFunctionboolean

Parameter specifying whether to include the function field in the response. Response speed may be slower when set to true.

Responses
pageinteger

Field representing the page number specified in the page parameter. This field is only included in the response when a value greater than 0 is specified for the page parameter.

rppinteger

Field representing the number of results per page specified in the rpp parameter.

cursorstring

A field for cursor pagination. This value must be provided in the next request to load the next page of data.

countinteger

Field representing the total count of requested data. This field is only included in the response when true is set for the withCount parameter.

fromDatestring

Field representing the start of the query range in Date mode. Returned in ISO 8601 format.

toDatestring

Field representing the end of the query range in Date mode. Returned in ISO 8601 format.

fromBlockinteger

Field representing the start block height of the query range in Block mode.

toBlockinteger

Field representing the end block height of the query range in Block mode.

fromLedgerinteger

Field representing the start ledger index of the query range in Ledger mode.

toLedgerinteger

Field representing the end ledger index of the query range in Ledger mode.

fromstringrequired

A field representing the address from which the token was transferred. Provided as a 40-character hexadecimal string prefixed with 0x.

tostringrequired

A field representing the address that received the token. Provided as a 40-character hexadecimal string prefixed with 0x.

valuestringrequired

A field representing the amount of tokens transferred. Provided in decimal string format.

timestampintegerrequired

A field representing when the token transfer occurred. This field is provided as a UNIX timestamp.

blockNumberintegerrequired

A field representing the block number where the token transfer occurred.

transactionHashstringrequired

A field representing the hash of the token transfer transaction. Provided as a 64-character hexadecimal string prefixed with 0x.

logIndexintegerrequired

A field representing the log index of the token transfer transaction. Indicates the order of events in the transaction.

batchIndexinteger

A field representing the batch index of the token transfer transaction. This field is included only in responses for ERC1155 token transfers.

functionobject

A field representing the information of the function called in a transaction containing a Transfer. This field is included in the response only when the withFunction parameter is set to true.

selectorstringrequired

A 4-byte function selector value that identifies the called function. The function selector is the first 4 bytes of the Keccak-256 hash of the function signature. Provided as an 8-character hexadecimal string prefixed with 0x.

namestring

A field representing the name of the called function.

signaturestring

A field representing the signature of the called function.

argsobject[]

A field representing the arguments of the called function.

namestring

A field representing the name of the argument.

typestring

A field representing the type of the argument.

valuestring

A field representing the value of the argument.

inputstringrequired

A field representing the input data of the function. Provided as a hexadecimal string prefixed with 0x.

contractobject
addressstringrequired

A field representing the contract address.

deployedTransactionHashstringrequired

A field representing the hash of the transaction in which the contract was deployed.

deployedAtstringrequired

A field representing the time when the contract was deployed. This field is provided in ISO 8601 date and time format.

deployerAddressstringrequired

A field representing the address that deployed the contract.

logoUrlstringrequired

A field representing the logo URL of the contract. This URL can be used to visually identify the contract.

[Note] Not all contracts have logo images available. If a contract has no logo, this field is provided as null.

typestringrequired

A field representing the type of the contract. Contract types are denoted by standard specification names (e.g., ERC721, ERC1155, ERC20, ERC721, ERC1155, ERC20).

namestringrequired

A field representing the name of the contract. Returns an empty string if the contract does not follow the standard or if name was not provided at contract creation.

symbolstringrequired

A field representing the symbol of the contract. Returns an empty string if the contract does not follow the standard or if symbol was not provided at contract creation.

totalSupplystring

A field representing the total supply of the contract. This value indicates the total token supply and is provided as a decimal string. Included in the response only when the contract type is ERC20.

decimalsinteger

A field representing the decimal places of the contract. Included in the response only when the contract type is ERC20 or ERC1155.

nftobject
tokenIdstringrequired

A field representing the unique ID of the NFT token. This ID is used to identify the NFT.

tokenUristringrequired

A field representing the URI where the original metadata of the NFT is located. Format may vary by contract implementation, but is typically provided as an IPFS address or web URL.

tokenUriSyncedAtstringrequired

A field representing when the tokenUri of the NFT was synchronized.

rawMetadatastring

A field representing the rawMetadata of the NFT. Included in the response only when the withMetadata parameter is set to true.

metadataSyncedAtstring

A field representing when the metadata of the NFT was synchronized. Included in the response only when the withMetadata parameter is set to true.

X-API-KEY
RequestCU150
cURL
curl -X POST "https://web3.nodit.io/v1/ethereum/mainnet/nft/getNftTransfersByAccount" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "accountAddress": "0x742d35Cc6634C0532925a3b844Bc454e4438f44e",
  "fromDate": "2026-01-01T00:00:00Z",
  "toDate": "2026-02-01T00:00:00Z",
  "page": 1,
  "rpp": 10
}'
Response
Example · 200
{
  "page": 0,
  "rpp": 0,
  "cursor": "string",
  "count": 0,
  "range": {
    "fromDate": "string",
    "toDate": "string",
    "fromBlock": 0,
    "toBlock": 0,
    "fromLedger": 0,
    "toLedger": 0
  },
  "items": [
    {
      "from": "string",
      "to": "string",
      "value": "string",
      "timestamp": 0,
      "blockNumber": 0,
      "transactionHash": "string",
      "logIndex": 0,
      "batchIndex": 0,
      "function": {
        "selector": "string",
        "name": "string",
        "signature": "string",
        "args": [],
        "input": "string"
      },
      "contract": {
        "address": "string",
        "deployedTransactionHash": "string",
        "deployedAt": "string",
        "deployerAddress": "string",
        "logoUrl": "string",
        "type": "string",
        "name": "string",
        "symbol": "string",
        "totalSupply": "string",
        "decimals": 0
      },
      "nft": {
        "tokenId": "string",
        "tokenUri": "string",
        "tokenUriSyncedAt": "string",
        "rawMetadata": "string",
        "metadataSyncedAt": "string"
      }
    }
  ]
}